package cz.muni.fi.pb162.school;

/**
 * Tato vyjimka reprezentuje chybu pri praci s katalogem studentu.
 *
 * @author Petr Adamek &lt;xadamek2@fi.muni.cz&gt;
 */
public class StudentCatalogException extends java.lang.Exception {
    
    /**
     * Vytvori novou instanci vyjimky <code>StudentCatalogException</code> 
     * bez detailni zpravy.
     */
    public StudentCatalogException() {
    }
    
    /**
     * Vytvori novou instanci vyjimky <code>StudentCatalogException</code> 
     * se zpravou <code>message</code>.
     *
     * @param message detailni zprava o pricine vyjimky
     */
    public StudentCatalogException(String message) {
        super(message);
    }
    
    /**
     * Vytvori novou instanci vyjimky <code>StudentCatalogException</code>,
     * jejiz pricinou byla vyjimka <code>cause</code>.
     *
     * @param cause vyjimka, ktera byla bezprostredni pricinou pro vyvolani teto vyjimky
     */
    public StudentCatalogException(Throwable cause) {
        super(cause);
    }
    
    /**
     * Vytvori novou instanci vyjimky <code>StudentCatalogException</code> 
     * se zpravou <code>message</code>, jejiz pricinou byla vyjimka 
     * <code>cause</code>.
     *
     * @param message detailni zprava o pricine vyjimky
     * @param cause vyjimka, ktera byla bezprostredni pricinou pro vyvolani teto vyjimky
     */
    public StudentCatalogException(String message, Throwable cause) {
        super(message, cause);
    }
    
}
